package com.kmall.admin.service.impl.mk.store;

import com.kmall.admin.dao.mk.store.MkStorePromChnlDao;
import com.kmall.admin.entity.mk.store.MkStorePromChnlEntity;
import com.kmall.admin.service.mk.store.MkStorePromChnlService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * 门店推广渠道Service实现类
 *
 * @author huangyq
 * @email admin@qhdswl.com
 * @date 2019-04-26 15:52:20
 */
@Service("mkStorePromChnlService")
public class MkStorePromChnlServiceImpl implements MkStorePromChnlService {
    @Autowired
    private MkStorePromChnlDao mkStorePromChnlDao;

    @Override
    public MkStorePromChnlEntity queryObject(Integer promChnlId) {
        return mkStorePromChnlDao.queryObject(promChnlId);
    }

    @Override
    public List<MkStorePromChnlEntity> queryList(Map<String, Object> map) {
        return mkStorePromChnlDao.queryList(map);
    }

    @Override
    public int queryTotal(Map<String, Object> map) {
        return mkStorePromChnlDao.queryTotal(map);
    }

    @Override
    public int save(MkStorePromChnlEntity mkStorePromChnl) {
        return mkStorePromChnlDao.save(mkStorePromChnl);
    }

    @Override
    public int update(MkStorePromChnlEntity mkStorePromChnl) {
        return mkStorePromChnlDao.update(mkStorePromChnl);
    }

    @Override
    public int delete(Integer promChnlId) {
        return mkStorePromChnlDao.delete(promChnlId);
    }

    @Override
    public int deleteBatch(Integer[]promChnlIds) {
        return mkStorePromChnlDao.deleteBatch(promChnlIds);
    }
}
